
#ifndef FLYING_TEAM_TERRA
#define FLYING_TEAM_TERRA

#include <fstream>
#include <ptime.h>
#include <pasync.h>

using std::string;

USING_PTYPES

class Control_Comandament_Terra
{
   private:
      char *ipMart;
      int portMart;
      int portTerra;
      int comunicacio_activa;
      char *nom_fitxer_informe;
      std::ofstream *fitxer_informe;
   public:
      Control_Comandament_Terra();
      ~Control_Comandament_Terra();
      int inicialitzar_Dades(char *ipMarsRover, int portMarsRover, int portNasa, char *nom_fitxer);
      void iniciar_servidor();
      void activar_Comunicacio_Terra();
      void desactivar_Comunicacio_Terra();
      void iniciar_Moviment_Robot();
      void finalitzar_Moviment_Robot();
      void girar_Robot(int graus);
      void girar_Cameres_Robot(int graus);
      void canviar_Camara_Activa(int num_camara);
      void obtenir_Fotografia(int camera);
      void parada_Emergencia_Robot();
      int comprovar_Activat();
      char *get_Nom_Fitxer_Informe();
      std::ofstream *get_Fitxer_Informe();
      void tancar_Fitxer_Informe();
}; 

#endif
